Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Model.Facet

Enclosing interface:
  Model

    public static interface Model.Facet

system facet names

Author:
  Ray Fergerson

Field Summary
`static String` | `CARDINALITY`
`static String` | `COLLECTION_TYPE`
`static String` | `CONSTRAINTS`
`static String` | `DEFAULTS`
`static String` | `DIRECT_TEMPLATE_FACETS`
`static String` | `DOCUMENTATION`
`static String` | `INVERSE`
`static String` | `MAXIMUM_CARDINALITY`
`static String` | `MINIMUM_CARDINALITY`
`static String` | `MODIFICATION_TIMESTAMP`
`static String` | `MODIFIER`
`static String` | `NOT_SAME_VALUES`
`static String` | `NUMERIC_MAXIMUM`
`static String` | `NUMERIC_MINIMUM`
`static String` | `SAME_VALUES`
`static String` | `SOME_VALUES`
`static String` | `SUBSET_OF_VALUES`
`static String` | `VALUE_TYPE`
`static String` | `VALUES`

Field Detail

### DIRECT_TEMPLATE_FACETS

    static final String DIRECT_TEMPLATE_FACETS

See Also:
  Constant Field Values

### DOCUMENTATION

    static final String DOCUMENTATION

See Also:
  Constant Field Values

### DEFAULTS

    static final String DEFAULTS

See Also:
  Constant Field Values

### CONSTRAINTS

    static final String CONSTRAINTS

See Also:
  Constant Field Values

### VALUE_TYPE

    static final String VALUE_TYPE

See Also:
  Constant Field Values

### INVERSE

    static final String INVERSE

See Also:
  Constant Field Values

### CARDINALITY

    static final String CARDINALITY

See Also:
  Constant Field Values

### MAXIMUM_CARDINALITY

    static final String MAXIMUM_CARDINALITY

See Also:
  Constant Field Values

### MINIMUM_CARDINALITY

    static final String MINIMUM_CARDINALITY

See Also:
  Constant Field Values

### SAME_VALUES

    static final String SAME_VALUES

See Also:
  Constant Field Values

### NOT_SAME_VALUES

    static final String NOT_SAME_VALUES

See Also:
  Constant Field Values

### SUBSET_OF_VALUES

    static final String SUBSET_OF_VALUES

See Also:
  Constant Field Values

### NUMERIC_MINIMUM

    static final String NUMERIC_MINIMUM

See Also:
  Constant Field Values

### NUMERIC_MAXIMUM

    static final String NUMERIC_MAXIMUM

See Also:
  Constant Field Values

### SOME_VALUES

    static final String SOME_VALUES

See Also:
  Constant Field Values

### COLLECTION_TYPE

    static final String COLLECTION_TYPE

See Also:
  Constant Field Values

### VALUES

    static final String VALUES

See Also:
  Constant Field Values

### MODIFIER

    static final String MODIFIER

See Also:
  Constant Field Values

### MODIFICATION_TIMESTAMP

    static final String MODIFICATION_TIMESTAMP

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.